Package libclc: Information

Source package: libclc
Version: 0.2.0-alt4.1
Build time:  Apr 11, 2020, 01:17 PM
Category: System/Libraries
Report package bug
License: BSD
Summary: An open source implementation of the OpenCL 1.1 library requirements
Description: 
libclc is an open source, BSD licensed implementation of the library
requirements of the OpenCL C programming language, as specified by the
OpenCL 1.1 Specification. The following sections of the specification
impose library requirements:

  * 6.1: Supported Data Types
  * 6.2.3: Explicit Conversions
  * 6.2.4.2: Reinterpreting Types Using as_type() and as_typen()
  * 6.9: Preprocessor Directives and Macros
  * 6.11: Built-in Functions
  * 9.3: Double Precision Floating-Point
  * 9.4: 64-bit Atomics
  * 9.5: Writing to 3D image memory objects
  * 9.6: Half Precision Floating-Point

libclc is intended to be used with the Clang compiler's OpenCL frontend.

libclc is designed to be portable and extensible. To this end, it provides
generic implementations of most library requirements, allowing the target
to override the generic implementation at the granularity of individual
functions.

libclc currently only supports the PTX target, but support for more
targets is welcome.

List of rpms provided by this srpm:
libclc (e2kv4, e2k)
libclc-devel (e2kv4, e2k)

Maintainer: Michael Shigorin


    1. python3-base
    2. gcc-c++
    3. /proc
    4. clang >= 9.0.0
    5. libstdc++-devel
    6. llvm-devel >= 9.0.0

Last changed


April 11, 2020 Michael Shigorin 0.2.0-alt4.1
- E2K: build with g++ (lcc actually), thus without lld
Feb. 14, 2020 Valery Inozemtsev 0.2.0-alt4
- git snapshot master.9aa6f35
Dec. 29, 2018 Valery Inozemtsev 0.2.0-alt3
- git snapshot master.1ecb16d